## dzl-widget-action-group

dzl-widget-action-group

## Functions

GActionGroup * | dzl_widget_action_group_new ()
void | dzl_widget_action_group_attach ()
void | dzl_widget_action_group_set_action_enabled ()

## Properties

GtkWidget * | widget | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_WIDGET_ACTION_GROUP
| DzlWidgetActionGroup

## Object Hierarchy

        GObject
        ╰── DzlWidgetActionGroup

## Implemented Interfaces

DzlWidgetActionGroup implements GActionGroup.

## Description

## Functions

### dzl_widget_action_group_new ()

    GActionGroup *
    dzl_widget_action_group_new (GtkWidget *widget);

#### Returns

An DzlWidgetActionGroup.

[transfer full]

### dzl_widget_action_group_attach ()

    void
    dzl_widget_action_group_attach (gpointer widget,
                                    const gchar *group_name);

Helper function to create an DzlWidgetActionGroup and attach it to `widget` using the group name `group_name` .

#### Parameters

widget | A GtkWidget. | [type Gtk.Widget]
group_name | the group name to use for the action group |

### dzl_widget_action_group_set_action_enabled ()

    void
    dzl_widget_action_group_set_action_enabled
                                   (DzlWidgetActionGroup *self,
                                    const gchar *action_name,
                                    gboolean enabled);

## Types and Values

### DZL_TYPE_WIDGET_ACTION_GROUP

    #define DZL_TYPE_WIDGET_ACTION_GROUP (dzl_widget_action_group_get_type())

### DzlWidgetActionGroup

    typedef struct _DzlWidgetActionGroup DzlWidgetActionGroup;

## Property Details

### The `“widget”` property

      “widget”                   GtkWidget *

Widget.

Owner: DzlWidgetActionGroup

Flags: Read / Write / Construct Only